    //=== exemple de code CLIENT nRF24L01 
    // communication 2.4 Ghz bi directionnelle
    // avec vérification de message bien  reçu
    //
    // tiptopboards.com 25 08 2013
    // Adaptation d'après skyduino
    //=============================================
    #include <SPI.h>
    #include <Mirf.h>
    #include <nRF24L01.h>
    #include <MirfHardwareSpiDriver.h>
    #include <avr/wdt.h>
   

 

    
    

    int pot;
    int c1=0;
    int octet;
    int octet0=100;

    int c2=0;
    int c3=0;
    long t0=millis();
    long t1=millis();
    int cr=0;
    long t2=millis();

    
    
    int adresse=2; // adresse à changer si nécessaire
  

    
     
    void setup(){

      
      wdt_disable();
      Serial.begin(9600);
      pinMode(5,OUTPUT);
      pinMode(3,OUTPUT);
      digitalWrite(3,LOW);

      Mirf.cePin = 8; // CE sur D8
      Mirf.csnPin = 7; // CSN sur D7
      Mirf.spi = &MirfHardwareSpi; // On veut utiliser le port SPI hardware
      Mirf.init(); // Tout est bon ? Ok
     
      Mirf.channel = 10; // On va utiliser le canal 10 pour communiquer (128 canaux disponible, de 0 à 127)
      Mirf.payload = sizeof(1); // = 1, ici il faut déclarer la taille du "payload" soit du message qu'on va transmettre, au max 32 octets
      Mirf.config(); // Tout est bon ? Ok let's go !
      Mirf.configRegister(RF_SETUP, 0x26);  
      Mirf.setTADDR((byte *)"nrf02"); // Le 1er module va envoyer ses info au 2eme module
      Mirf.setRADDR((byte *)"nrf01"); // On définit ici l'adresse du 1er module
       
      Serial.println("Client");
      
   
      delay(1000);
      wdt_enable(WDTO_8S);
      
    }
     
    void loop(){

      // détection de courant

      pot = analogRead(A0);
      if (pot>500 && c3==0) {
        c1=0;
        digitalWrite(5,LOW);

      }
      
      if (pot<500 && c3==0) {
        c1=1;
        c3=1;
        t0=millis();
        digitalWrite(5,HIGH);

      }

      if (c3==1 && millis()>t0+5000) c3=0;

      // reset automatique en cas de blocage du programme
      if(millis()>t2+5000) {
        wdt_reset();
        t2=millis();
      }



      byte data_recu[Mirf.payload]; // Tableau de byte qui va stocker le message recu
      byte data_envoi[Mirf.payload]; // Tableau de byte qui va stocker le message envoyé
       
      
       if( !Mirf.isSending() && Mirf.dataReady()  ) {

      
        Mirf.getData(data_recu); // on récupère le message
        //Affichage de contrôle
        octet=data_recu[0];
        Serial.println(octet);
        t1=millis();
        

       }

       




    
      
       if (octet != adresse) c2=0;

       if (octet==adresse && c2==0) {
        data_envoi[0]=c1;
         Mirf.send(data_envoi);
        while(Mirf.isSending()); // On attend tant que le message n'a pas été envoyé
      
       
      Serial.print("Envoi ");
      Serial.println(c1);
      
      delay(20);  //breve attente (sinon ne passe pas !)  
      c2=1;

       }

       
        

       




        
      
      
    
      
      delay(20);

      
      

      
     }
     
     
   
