    //=== exemple de code SERVEUR nRF24L01 
    // communication 2.4 Ghz bi directionnelle
    // avec vérification de message bien  reçu
    //
    // tiptopboards.com 25 08 2013
    // Adaptation d'après skyduino

    #include <SPI.h>
    #include <Mirf.h>
    #include <nRF24L01.h>
    #include <MirfHardwareSpiDriver.h>

    int octet;
    int n=0;
    long t0=millis();
    long dt=500;
    int a1;
    int a2;
    int a3;
    int a4;
    int octetr;
    int etat;
    int octetr0=0;


     
    void setup(){
      pinMode(2,OUTPUT);
      pinMode(3,OUTPUT);
      pinMode(4,OUTPUT);
      pinMode(5,OUTPUT);
      digitalWrite(2,LOW); 
      digitalWrite(3,LOW);   
      digitalWrite(4,LOW);  
      digitalWrite(5,LOW);  
      
      Serial.begin(9600);
       
      Mirf.cePin = 8; // CE sur D8
      Mirf.csnPin = 7; // CSN sur D7
      Mirf.spi = &MirfHardwareSpi; // On veut utiliser le port SPI hardware
      Mirf.init(); // Tout est bon ? Ok let's go !
     
      Mirf.channel = 10; // On va utiliser le canal 0 pour communiquer (128 canaux disponible, de 0 à 127)
      Mirf.payload = sizeof(2); // = 4, ici il faut déclarer la taille du "payload" soit du message qu'on va transmettre, au max 32 octets
      Mirf.config(); // Tout est bon ? Ok let's go !
      Mirf.configRegister(RF_SETUP, 0x26); 
 
      Mirf.setTADDR((byte *)"nrf01"); // Le 2eme module va envoyer ses info au 1er module
      Mirf.setRADDR((byte *)"nrf02"); // On définit ici l'adresse du 2eme module
       
      Serial.println("Serveur");
    }
     
    void loop(){
      byte data_recu[Mirf.payload]; // Tableau de byte qui va stocker le message recu
      byte data_envoi[Mirf.payload]; // Tableau de byte qui va envoyer le message recu

      if (millis()>t0+dt) {
        n=n+1;
        if(n==5) n=1;
         data_envoi[0]=n;  //Data à envoyer
         data_envoi[1]=0;
       Mirf.send(data_envoi); // Envoi des 2 octets
        while(Mirf.isSending()); // On attend tant que le message n'a pas été envoyé
       
      
      
      delay(10);  //breve attente (sinon ne passe pas !)   
      Mirf.getData(data_recu); // on récupère le message retourné
      
      etat=data_recu[0];

      // commande des relais connectés au module LENZ LR101
      
      if (n==1 && etat==0) digitalWrite(2,LOW);
      if (n==1 && etat==1) digitalWrite(2,HIGH);
      if (n==2 && etat==0) digitalWrite(3,LOW);
      if (n==2 && etat==1) digitalWrite(3,HIGH);
      if (n==3 && etat==0) digitalWrite(4,LOW);
      if (n==3 && etat==1) digitalWrite(4,HIGH);
      if (n==4 && etat==0) digitalWrite(5,LOW);
      if (n==4 && etat==1) digitalWrite(5,HIGH);


      if (n==1 && etat==0) a1=0;
      if (n==1 && etat==1) a1=1;
      if (n==2 && etat==0) a2=0;
      if (n==2 && etat==1) a2=1;
      if (n==3 && etat==0) a3=0;
      if (n==3 && etat==1) a3=1;
      if (n==4 && etat==0) a4=0;
      if (n==4 && etat==1) a4=1;
      octetr=a1+2*a2+4*a3+8*a4;
      if (octetr != octetr0) {
        Serial.println(octetr);
        octetr0=octetr;

      }
      


      t0=millis();

      }







       
      
    }

    
