    //=== exemple de code CLIENT nRF24L01 
    // communication 2.4 Ghz unidirectionnelle
    
    //=============================================
    #include <SPI.h>
    #include <Mirf.h>
    #include <nRF24L01.h>
    #include <MirfHardwareSpiDriver.h>

    int pot;
    int etat=0;
    int c10=0;
    int c0=0;
    long t0=millis();
    int adresse2;
    int c3=0;
    long t1=millis();

    int adresse=4;
    int c4=0;
    

    
     
    void setup(){
      Serial.begin(9600);
      pinMode(5,OUTPUT); 
      Mirf.cePin = 8; // CE sur D8
      Mirf.csnPin = 7; // CSN sur D7
      Mirf.spi = &MirfHardwareSpi; // On veut utiliser le port SPI hardware
      Mirf.init(); // Tout est bon ? Ok
     
      Mirf.channel = 20; // On va utiliser le canal 20 pour communiquer (128 canaux disponible, de 0 à 127)
      Mirf.payload = sizeof(2); // = 2, ici il faut déclarer la taille du "payload" soit du message qu'on va transmettre, au max 32 octets
      Mirf.config(); // Tout est bon ? Ok let's go !
      Mirf.configRegister(RF_SETUP, 0x26);  
      Mirf.setTADDR((byte *)"nrf02"); // Le 1er module va envoyer ses info au 2eme module
      Mirf.setRADDR((byte *)"nrf01"); // On définit ici l'adresse du 1er module
       
      Serial.println("Client");
    }
     
    void loop(){

      


      pot = analogRead(A0);
      if (pot>500 && c3==0) {
        etat=0;
        digitalWrite(5,LOW);

      }
      
      if (pot<500 && c3==0) {
        etat=1;
        c3=1;
        t0=millis();
        digitalWrite(5,HIGH);

      }

      if (c3==1 && millis()>t0+5000) c3=0;
      

     

      
      byte data_envoi[Mirf.payload];   // Tableau de 2 octets qui va stocker le message à envoyer
      



     if (c4==0 ) {
      data_envoi[0]=adresse;  //Data à envoyer
      data_envoi[1]=etat;
       Mirf.send(data_envoi); // Envoi des 2 octets
        while(Mirf.isSending()); // On attend tant que le message n'a pas été envoyé
       
      Serial.println("Envoi ");
      
      delay(10);  //breve attente (sinon ne passe pas !)   
      c4=1;
      t1=millis();
      
      
    
     }
     
if (c4==1 && millis()>t1+1000) c4=0;
    
     
     
       
     
    }

    

    
     
   
