    //=== exemple de code SERVEUR nRF24L01 
    // communication 2.4 Ghz unidirectionnelle
    

    #include <SPI.h>
    #include <Mirf.h>
    #include <nRF24L01.h>
    #include <MirfHardwareSpiDriver.h>

    int adresse;
    int etat;


     
    void setup(){
      pinMode(5,OUTPUT); 
      pinMode(2,OUTPUT);
      digitalWrite(5,LOW); 
      digitalWrite(2,LOW);   
      
      Serial.begin(9600);
       
      Mirf.cePin = 8; // CE sur D8
      Mirf.csnPin = 7; // CSN sur D7
      Mirf.spi = &MirfHardwareSpi; // On veut utiliser le port SPI hardware
      Mirf.init(); // Tout est bon ? Ok let's go !
     
      Mirf.channel = 20; // On va utiliser le canal 0 pour communiquer (128 canaux disponible, de 0 à 127)
      Mirf.payload = sizeof(2); // = 2, ici il faut déclarer la taille du "payload" soit du message qu'on va transmettre, au max 32 octets
      Mirf.config(); // Tout est bon ? Ok let's go !
      Mirf.configRegister(RF_SETUP, 0x26); 
 
      Mirf.setTADDR((byte *)"nrf01"); // Le 2eme module va envoyer ses info au 1er module
      Mirf.setRADDR((byte *)"nrf02"); // On définit ici l'adresse du 2eme module
       
      Serial.println("Serveur");
    }
     
    void loop(){
      byte data_recu[Mirf.payload]; // Tableau de byte qui va stocker le message recu
       
      if(Mirf.dataReady())
      { // Si un message a été recu 
      
        Mirf.getData(data_recu); // on récupère le message
        //Affichage de contrôle
        adresse=data_recu[0];
        etat=data_recu[1];

        // commande du relais connecté au module LENZ LR101
        

        if (etat==1) {
         digitalWrite(2,HIGH); 
         delay(10);
         
         Serial.println(etat);

        }

        if (etat==0) {
         digitalWrite(2,LOW); 
         delay(10);
         
         Serial.println(etat);

        }
    
       
         
        
    
      }
      delay(10);
    }

    
